
QGIS Application - Bug report #8600

QGIS 2.0 not working with NTLM proxy

2013-09-12 12:31 AM - Jeremy Palmer

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Plugin Manager

Affected QGIS version:master Regression?: No

Operating System: windows ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17342

Description

When using the python plugin installer with QGIS 1.8 I could authenticate using our corporate NTLM proxy server by entering the following

network proxy details: host, port, username, password and selecting HttpProxy. But now under QGIS this is not possible. I see that the

new plugin installer was switched over the using the QgsNetworkAccessManager in this

commit:4ecf3ebd0bae19f97f32bb040c9df95967135ba8

Going back and checking WFS and WMS (which use QgsNetworkAccessManager) with QGIS 1.8 I can't actually get proxy support

working. So the problem must be that the QgsNetworkAccessManager is not set-up to authenticate with a NTLM proxy server.

This bug should be treated as critical because it will stop a lot of corporates from using QGIS.

Related issues:

Related to QGIS Application - Bug report # 5212: Proxy settings ignored for l... Closed 2012-03-20

Associated revisions

Revision 7f9a755f - 2014-02-16 04:20 PM - Jürgen Fischer

network manager: support system proxy settings on windows (fixes #8600)

History

#1 - 2013-09-23 12:15 PM - Jeremy Palmer

Here's another related ticket #5212

#2 - 2013-10-26 09:36 AM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Future Release - High Priority

- Category set to Plugin Manager

#3 - 2014-01-27 03:47 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Jeremy,

is this really a regression or it wasn't supported either on older qgis releases?

The blocker tag is reserved for regression, so if it isn't, in order to clean the bug queue for this month of bug fixing prior 2.2, I guess it would be needed to

lower the priority.
#4 - 2014-01-27 11:19 AM - Jeremy Palmer

Yes before the switch happened in the plugin manager NTLM worked for downloading plugins. Other core web access functionality is status quo however.

Cheers

Jeremy

#5 - 2014-01-29 12:48 PM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#6 - 2014-02-08 01:42 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2014-02-16 07:21 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"7f9a755f271a40c2e7864f7646cb5257d722d1ff".
